CREATE TABLE cmp_vc_per_elig_plans (
    VC_PER_ELIG_PLAN_ID      NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    PERSON_ID                NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID            NUMBER(18, 0)    NOT NULL,
    EFFECTIVE_DATE           DATE         ,
    PLAN_ID                  NUMBER(18, 0)    NOT NULL,
    COMPONENT_ID             NUMBER(18, 0),
    PLAN_ATTRIBUTE_ID        NUMBER(18, 0),
    ATTRIBUTE_NAME           VARCHAR2(120),
    LEGAL_ENTITY_ID          NUMBER(18, 0),
    START_DATE_CODE          VARCHAR2(120),
    END_DATE_CODE            VARCHAR2(120),
    START_DATE_RULE          NUMBER(18, 0),
    END_DATE_RULE            NUMBER(18, 0),
    START_DATE               DATE         ,
    END_DATE                 DATE         ,
    NON_MONETARY_UOM         VARCHAR2(120),
    ELEMENT_TYPE_ID          NUMBER(18, 0)    NOT NULL,
    ELIG_FLAG                VARCHAR2(72)     NOT NULL,
    ELEMENT_ELIG_FLAG        VARCHAR2(120)    NOT NULL,
    INELIG_REASON_CD         VARCHAR2(120),
    ELIG_OVERRIDE_FLAG       VARCHAR2(120),
    ELIG_OVERRIDE_THRU_DT    DATE         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    VC_PER_ELIG_PLAN_ID      NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    PERSON_ID                NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID            NUMBER(18, 0)    NOT NULL,
    EFFECTIVE_DATE           DATE         ,
    PLAN_ID                  NUMBER(18, 0)    NOT NULL,
    COMPONENT_ID             NUMBER(18, 0),
    PLAN_ATTRIBUTE_ID        NUMBER(18, 0),
    ATTRIBUTE_NAME           VARCHAR2(120),
    LEGAL_ENTITY_ID          NUMBER(18, 0),
    START_DATE_CODE          VARCHAR2(120),
    END_DATE_CODE            VARCHAR2(120),
    START_DATE_RULE          NUMBER(18, 0),
    END_DATE_RULE            NUMBER(18, 0),
    START_DATE               DATE         ,
    END_DATE                 DATE         ,
    NON_MONETARY_UOM         VARCHAR2(120),
    ELEMENT_TYPE_ID          NUMBER(18, 0)    NOT NULL,
    ELIG_FLAG                VARCHAR2(72)     NOT NULL,
    ELEMENT_ELIG_FLAG        VARCHAR2(120)    NOT NULL,
    INELIG_REASON_CD         VARCHAR2(120),
    ELIG_OVERRIDE_FLAG       VARCHAR2(120),
    ELIG_OVERRIDE_THRU_DT    DATE         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_cmp_vc_per_elig_plans PRIMARY KEY (VC_PER_ELIG_PLAN_ID, VC_PER_ELIG_PLAN_ID)
);
